tbb::interface5::concurrent_hash_map< Key, T, HashCompare, A >::node Struct Reference
Inheritance diagram for tbb::interface5::concurrent_hash_map< Key, T, HashCompare, A >::node:

## Public Member Functions

| node (const Key &key)
| node (const Key &key, const T &t)
| node (const Key &key, T &&t)
| node (value_type &&i)
template<typename... Args>
| node (Args &&...args)
| node (value_type &i)
| node (const value_type &i)
void * | operator new (size_t, node_allocator_type &a)
void | operator delete (void *ptr, node_allocator_type &a)

## Public Attributes

value_type | item

The documentation for this struct was generated from the following file:

- concurrent_hash_map.h

Copyright © 2005-2017 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.